#include "MainWindow.h"

#include <QAction>
#include <QDebug>
#include <QFileDialog>
#include <QMenuBar>

MainWindow::MainWindow(QWidget *parent, Qt::WindowFlags flags) : QMainWindow(parent, flags)
{
    QMenu *fileMenu = menuBar()->addMenu(tr("&File"));
    
    QAction *openAction = new QAction(tr("Open"), this);
    openAction->setShortcut(QKeySequence::Open);
    fileMenu->addAction(openAction);
    connect(openAction, SIGNAL(triggered()), this, SLOT(chooseFile()));
}

void MainWindow::chooseFile()
{
    QString fileName = QFileDialog::getOpenFileName(this,
                                                    tr("Image"), "",
                                                    tr("Image files (*.jpg)"));
    
    qDebug() << Q_FUNC_INFO << fileName;
}
